Bug 192634 - [NEW PORT] textproc/pugixml XML parser for C++ with XPath support
[NEW PORT] textproc/pugixml XML parser for C++ with XPath support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Some People
Assigned To: Adam Weinberger
Depends on:
  Show dependency treegraph
Reported: 2014-08-13 09:11 UTC by Yakov Galka
Modified: 2014-08-25 15:12 UTC (History)
2 users (show)

See Also:

The port (1.84 KB, text/plain)
2014-08-13 09:11 UTC, Yakov Galka
no flags Details
Builds shared and static libs (2.38 KB, patch)
2014-08-23 12:45 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yakov Galka 2014-08-13 09:11:13 UTC
Created attachment 145750 [details]
The port

Light-weight, simple and fast XML parser for C++ with XPath support
Comment 1 John Marino freebsd_committer 2014-08-13 09:16:40 UTC
three problems:

1) no tab aligment
2) pkg-plist is too short, move files to Makefile with PLIST_FILES, etc
3) Do you have any verification available?  In order of preference, examples of what I'm looking for are:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs
3) "make check-plist" followed by "make stage-qa" output  (https://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html)

Also, please run "portlint" and paste the output.
Comment 2 John Marino freebsd_committer 2014-08-14 12:50:31 UTC
This will stay in triage state until a new version is submitted and verification provided, fyi.
Comment 3 John Marino freebsd_committer 2014-08-18 21:10:16 UTC
Non-responsive, moving this out of Triage into General Population.
Comment 4 commit-hook freebsd_committer 2014-08-21 19:08:26 UTC
A commit references this bug:

Author: adamw
Date: Thu Aug 21 19:07:49 UTC 2014
New revision: 365584
URL: http://svnweb.freebsd.org/changeset/ports/365584

  Add textproc/pugixml.

  pugixml is a light-weight C++ XML processing library. It features:

  * DOM-like interface with rich traversal/modification capabilities
  * Extremely fast non-validating XML parser which constructs the DOM tree from an
    XML file/buffer
  * XPath 1.0 implementation for complex data-driven tree queries
  * Full Unicode support with Unicode interface variants and automatic encoding

  WWW: http://pugixml.com/

  PR:		192634
  Submitted by:	ybungalobill@gmail.com

Comment 5 Adam Weinberger freebsd_committer 2014-08-21 19:09:09 UTC
I've committed the port, and fixed for you the problems that John already noted.

Why does it install only a static library? Shouldn't it build and install both?
Comment 6 Yakov Galka 2014-08-23 10:29:27 UTC
First, thank you both very much for your prompt responses. John was right, I had to test it better. Let me say to my defense that I followed the "Quick Porting" guide closely, but it mentions using poudriere and tinderbox as a "may", not a "must". Nor it mentions attaching any of the logs to the PR. I did run portlint though, and it said "seems ok" or something like that. Anyway, I went installing poudriere, it did not work out-of-the-box, and I had no time to dig it since. So I apologize for not responding.

Adam: thank you for fixing that, and the MASTER_SITES url too. As per static/dynamic libraries: I just installed whatever the library builds by default. I want to build the shared libraries too. Given the current build scripts I have to invoke cmake and make twice, or patch the scripts. What's the most correct way of doing this in ports? (This is my first time porting, as you see.)

Comment 7 Adam Weinberger freebsd_committer 2014-08-23 12:45:57 UTC
Created attachment 146175 [details]
Builds shared and static libs

Yakov, give this patch a try.
Comment 8 Adam Weinberger freebsd_committer 2014-08-23 12:47:10 UTC
Also I should note, due to a bug in our Bugzilla, you can't view the patch with the "Diff" link. Download the actual raw patch (click on "Builds shared and static libs") and then view it.
Comment 9 Yakov Galka 2014-08-25 15:06:59 UTC
Tried it, the patch works for me.
Comment 10 Adam Weinberger freebsd_committer 2014-08-25 15:08:29 UTC
Should I commit it?
Comment 11 Yakov Galka 2014-08-25 15:10:40 UTC
Yes. Thank you very much!
Comment 12 Adam Weinberger freebsd_committer 2014-08-25 15:12:19 UTC